From 467a976485683fb766bf11ef0462acc7e98c7ac5 Mon Sep 17 00:00:00 2001
From: Antonio Ospite <ao2@ao2.it>
Date: Fri, 14 Dec 2018 00:51:28 +0100
Subject: [PATCH] populate-fully.sh: don't enter the repository if updating
 working tree fails

If updating the working tree failed exit the whole vcsh process to
prevent entering the repository and doing more damage.
---
 .config/vcsh/hooks-available/populate-fully.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/.config/vcsh/hooks-available/populate-fully.sh b/.config/vcsh/hooks-available/populate-fully.sh
index 0439174..d398a90 100755
--- a/.config/vcsh/hooks-available/populate-fully.sh
+++ b/.config/vcsh/hooks-available/populate-fully.sh
@@ -40,6 +40,15 @@ then
   git config core.sparseCheckout true
   rm -f "$GIT_DIR/info/sparse-checkout"
   echo "/*" > "$GIT_DIR/info/sparse-checkout"
-  git read-tree -mu HEAD
+  RET=0
+  git read-tree -mu HEAD || RET=$?
   git config core.sparseCheckout false
+
+  # if updating the working tree failed exit the whole vcsh process to prevent
+  # entering the repository.
+  if [ $RET -ne 0 ];
+  then
+    echo "Fix the problems before entering the repository." 1>&2
+    kill -- -$PPID
+  fi
 fi
-- 
2.1.4